
Ryzom - Bug # 890

Status: Closed Priority: Normal
Author: rti Category: Build
Created: 05/12/2010 Assignee: kervala
Updated: 05/28/2010 Due date:
Subject: Ryzom Client Build Fix - _Bool is a keyword in C99 (Patch included)
Description

Just a small build fix for the Ryzom client.

In interface_options.h the class CInterfaceOptionValue gets a member called "_Bool". This generates compiler errors since _Bool is a
keyword in C99.
http://home.datacomm.ch/t_wolf/tw/c/c9x_changes.html#Syntax

I see two options here:
Option 1: undef so that the name is free to use again. (see ryzom_client_bool_name_problem_option_1.patch)
Option 2: rename the member. (see ryzom_client_bool_name_problem_option_2.patch)

I like option 2 better, more code is changed, but it is a cleaner solution.

History
#1 - 05/12/2010 03:05 pm - kervala

I also prefer the second one because the "bug" is a bad choice of variable name :)

Thanks for the patch :)

#2 - 05/12/2010 04:14 pm - kervala
- Status changed from New to Assigned
- Assignee set to kervala

#3 - 05/12/2010 04:20 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r115.

#4 - 05/12/2010 04:26 pm - kervala
- Target version set to Version 0.8.0

#5 - 05/28/2010 05:24 pm - vl
- Status changed from Resolved to Closed

Files
ryzom_client_bool_name_problem_option_1.patch 453 Bytes 05/12/2010 rti
ryzom_client_bool_name_problem_option_2.patch 1.3 kB 05/12/2010 rti
